<template>
  <div>
    <template v-for="(ruta, index) in rutas">
      <v-breadcrumbs :key="index" :items="ruta.breadcrumbs"></v-breadcrumbs>
    </template>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
const ruta = {
  idRuta: null,
  codificacion: null,
  pais: null,
  modelo: null,
  unidadNegocio: null,
  nivelPaso: null,
  nivelMacroproceso: null,
  nivelProceso: null,
  nivelElemento: null,
  breadcrumbs: [],
};
export default {
  name: "Component-FolioRutas",
  props: ["folio"],
  data() {
    return {
      rutas: [],
    };
  },
  methods: {
    getFolioRutas() {
      const self = this;
      axios(
        "/modelo-negocio/folio-rutas-niveles/v1/" +
          this.folio.idFolio +
          "/compuestas"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            let rutas = data.resultado.rutas;
            self.rutas = [];
            rutas.forEach((itemRuta) => {
              let newRuta = JSON.parse(JSON.stringify(ruta));
              newRuta.idRuta = itemRuta.idRuta;
              newRuta.codificacion = itemRuta.codificacion.descripcion;
              newRuta.pais = itemRuta.pais;
              newRuta.modelo = itemRuta.modelo;
              newRuta.unidadNegocio = itemRuta.unidadNegocio;
              newRuta.breadcrumbs.push({
                disabled: true,
                exact: true,
                text: newRuta.codificacion,
              });
              newRuta.breadcrumbs.push({
                disabled: true,
                exact: true,
                text: newRuta.pais.descripcion,
              });
              newRuta.breadcrumbs.push({
                disabled: true,
                exact: true,
                text: newRuta.modelo.descripcion,
              });
              newRuta.breadcrumbs.push({
                disabled: true,
                exact: true,
                text: newRuta.unidadNegocio.descripcion,
              });
              if (itemRuta.modelosNegocio) {
                let modelosNegocio = itemRuta.modelosNegocio;
                modelosNegocio.forEach((itemModeloNegocio) => {
                  newRuta.breadcrumbs.push({
                    disabled: true,
                    exact: true,
                    text: itemModeloNegocio.descripcion,
                  });
                });
              }
              self.rutas.push(newRuta);
            });
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {
    this.getFolioRutas();
  },
};
</script>
